<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- NameIndex.html -->
<!-- this view was generated by NameIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Name Index</title>
<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body class="NameIndex">
<div class="navigation">
<span class="normal"><a href="Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="selected">Name Index</span>
</div>
<h1 >Name Index</h1><i>Hold the mouse over a link to see the scope of each name</i>
<div class="nameindex-index"><a href="#key67">C</a><a href="#key70">F</a><a href="#key76">L</a><a href="#key80">P</a><a href="#key83">S</a><a href="#key95">_</a><a href="#key126">~</a></div>
<a id="key67"></a><h2 >C</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/FactoryImpl.html#create_uninitialized_l_r" title="FactoryImpl::create_uninitialized&#40;&#41;">create_uninitialized()</a> member function</div></td>
</tr>
</table>
<a id="key70"></a><h2 >F</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/FactoryImpl.html" title="FactoryImpl">FactoryImpl</a> class</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/FactoryImpl.html#FactoryImpl_l_r" title="FactoryImpl::FactoryImpl&#40;&#41;">FactoryImpl()</a> member function</div></td>
</tr>
</table>
<a id="key76"></a><h2 >L</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/StorableImpl.html#load_lStorage_mObjectState_ptr_r" title="StorableImpl::load&#40;Storage::ObjectState_ptr&#41;">load()</a> member function</div></td>
</tr>
</table>
<a id="key80"></a><h2 >P</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">
</td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/StorableImpl.html#Private" title="StorableImpl::Private">Private</a> struct</div></td>
</tr>
</table>
<a id="key83"></a><h2 >S</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/StorableImpl.html" title="StorableImpl">StorableImpl</a> class</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/StorableImpl.html#StorableImpl_l_r" title="StorableImpl::StorableImpl&#40;&#41;">StorableImpl()</a> member function</div>
<div class="nameindex-item"><a href="Scopes/StorableImpl.html#store_lStorage_mObjectState_ptr_r" title="StorableImpl::store&#40;Storage::ObjectState_ptr&#41;">store()</a> member function</div></td>
</tr>
</table>
<a id="key95"></a><h2 >_</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/global.html#_FactoryImpl_hh" title="_FactoryImpl_hh">_FactoryImpl_hh</a> macro</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/global.html#_StorableImpl_hh" title="_StorableImpl_hh">_StorableImpl_hh</a> macro</div>
<div class="nameindex-item"><a href="Scopes/StorableImpl.html#_m" title="StorableImpl::_m">_m</a> data member</div></td>
</tr>
</table>
<a id="key126"></a><h2 >~</h2>
<table summary="table of names">
<col width="*"/><col width="*"/>
<tr>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/FactoryImpl.html#_tFactoryImpl_l_r" title="FactoryImpl::~FactoryImpl&#40;&#41;">~FactoryImpl()</a> member function</div></td>
<td valign="top">

<div class="nameindex-item"><a href="Scopes/StorableImpl.html#_tStorableImpl_l_r" title="StorableImpl::~StorableImpl&#40;&#41;">~StorableImpl()</a> member function</div></td>
</tr>
</table>

<div class="logo">Generated on Fri Apr 17 08:48:19 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
